using System;
using System.Web.Services.Protocols;
namespace Interval.Examples.SoapExtensions
{
	/// <summary>
	/// Summary description for SpySoapExtensionAttribute.
	/// </summary>
	[AttributeUsage(AttributeTargets.Method)]
	public class SpyExtensionAttribute : SoapExtensionAttribute
	{
		#region private variables
		private string m_fileName;
		private int m_priority;
		#endregion private variables
		#region constructors
		/// <summary>
		/// Standardn konstruktor
		/// </summary>
		public SpyExtensionAttribute() : this(@"c:\default.spy")
		{
			
			
		}
		/// <summary>
		/// Konstruktor pijmajc nzev souboru
		/// </summary>
		/// <param name="fileName">Nzev souboru</param>
		public SpyExtensionAttribute(string fileName)
		{
			m_fileName = fileName;
			m_priority = 1;
		}
		#endregion constructors
		#region public properties
		/// <summary>
		/// Vrcen typu extenze, pro kterou byl atribut vytvoen
		/// </summary>
		public override Type ExtensionType
		{
			get
			{
				return typeof(SpySoapExtension);
			}
		}
		/// <summary>
		/// Priorita voln SOAP extenze
		/// </summary>
		public override int Priority
		{
			get
			{
				return m_priority;
			}
			set
			{
				m_priority = value;
			}
		}
		//Jmno souboru, kam jsou zapisovny SOAP zprvy
		public string FileName
		{
			get
			{
				return m_fileName;
			}
			set
			{
				m_fileName = value;
			}
		}

		#endregion public properties

	}
}
